Summary:	GNU Line Editor
Summary(de.UTF-8):	GNU-Zeileneditor
Summary(es.UTF-8):	Editor de líneas de la GNU
Summary(fr.UTF-8):	Éditeur ligne de GNU
Summary(ja.UTF-8):	GNU ラインエディタ。
Summary(pl.UTF-8):	GNU edytor liniowy
Summary(pt_BR.UTF-8):	Editor de linhas da GNU
Summary(ru.UTF-8):	Строчный редактор GNU
Summary(tr.UTF-8):	GNU satır düzenleyici
Summary(uk.UTF-8):	Рядковий редактор GNU
Name:		ed
Version:	1.20.2
Release:	1
License:	GPL v3+
Group:		Applications/Editors
Source0:	https://ftp.gnu.org/gnu/ed/%{name}-%{version}.tar.lz
# Source0-md5:	8f31ca1cb5a2e2ca8ee2598cc0bf53e1
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	13a5459ddffbd7f04aa3d67fce0d2134
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/ed/
BuildRequires:	help2man
BuildRequires:	lzip
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_bindir		/bin

%description
This is the GNU line editor. It is an implementation of one of the
first editors under *nix. Some programs rely on it, but in general you
probably don't *need* it.

%description -l de.UTF-8
Dies ist der GNU-Zeileneditor, eine Implementierung einer der ersten
Editoren unter *nix. Manche Programme verlassen sich darauf, i.a.
*brauchen* Sie ihn wahrscheinlich nicht.

%description -l es.UTF-8
Este es GNU editor de línea. Es un soporte a uno de los primeros
editores para *nix. Algunos de los programas cuentan con él, pero de
manera general, es muy probable que no lo *necesites*.

%description -l fr.UTF-8
Éditeur ligne de GNU. C'est une implantation de l'un des premiers
éditeurs d'*nix. Certains programmes en ont besoin, mais en général,
vous n'en aurez probablement pas l'utilité.

%description -l ja.UTF-8
ed は行指向のテキストエディタで、( 対話的でもシェルスクリプト経由でも
) テキストファイルの生成、表示、修正に用いられます。主な目的としては、
フルスクリーンエディタ ( 例えば emacs や vi ) によってなされている
通常の利用に ed を置き換えてきたことです。

ed は初期の Unix エディタで、いろいろなプログラムに使われてきました。
しかし、一般には多分インストールする必要はなく、
多分使いこなすこともないでしょう。

%description -l pl.UTF-8
Ed jest GNU implementacją standardowego, pierwszego edytora
uniksowego. Część starszych programów może jeszcze z niego korzystać,
ale większość już prawdopodobnie go nie potrzebuje.

%description -l pt_BR.UTF-8
Este é o GNU editor de linha. É uma implementação de um dos primeiros
editores para *nix. Alguns programas contam com ele, mas no geral você
provavelmente não irá *precisar* dele.

%description -l uk.UTF-8
Ed - це рядково-орієнтований текстовий редактор, що використовується
для створення, показу та модифікації текстових файлів (як
інтерактивно, так і зі скриптів). Для більшості цілей ed був замінений
повноекранними редакторами (наприклад, joe, vi, emacs).

%description -l tr.UTF-8
Bu paket UN*X'in en eski metin düzenleyicilerinden birini
içermektedir. Bazı yazılımlar hala bu programa gereksinim
duymaktadırlar.

%description -l ru.UTF-8
Ed - это строчно-ориентированный текстовый редактор, используемый для
создания, показа и модификации текстовых файлов (как интерактивно, так
и при помощи скриптов). Для большинства целей ed был заменен
полноэкранными редакторами (например, joe, vi, emacs).

%prep
%setup -q
%patch0 -p1

# force rebuild
%{__rm} doc/ed.info

%build
# not autoconf configure, but options compatible
%configure

%{__make} all doc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.ed-non-english-man-pages

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ed
%attr(755,root,root) %{_bindir}/red
%{_infodir}/ed.info*
%{_mandir}/man1/ed.1*
%{_mandir}/man1/red.1*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%changelog
* Mon Apr 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ed.git;a=log;h=master

* Mon Apr 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 0311e2b
- updated to 1.20.2

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 534b4ec
- updated to 1.20.1

* Mon Jan 22 2024 Jan Palus <atler@pld-linux.org> fcce07a
- up to 1.20

* Mon Jan 16 2023 Jan Palus <atler@pld-linux.org> a4a8d87
- up to 1.19

* Mon Feb 07 2022 Jan Palus <atler@pld-linux.org> 16a0866
- rediff info patch

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 4c009f8
- updated to 1.18

* Mon Jan 18 2021 Jan Palus <atler@pld-linux.org> 25cbd56
- up to 1.17

* Thu Mar 19 2020 Jakub Bogusz <qboosh@pld-linux.org> a53aea5
- updated to 1.16

* Sun Jan 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 87d2ed8
- updated to 1.15

* Sat Mar 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 4b4e8c6
- updated to 1.14.2

* Mon Jan 23 2017 Jakub Bogusz <qboosh@pld-linux.org> d3557a4
- updated to 1.14.1

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 2c443dd
- updated to 1.13

* Thu Jul 16 2015 Jakub Bogusz <qboosh@pld-linux.org> d8f255c
- updated to 1.12

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> a13c496
- updated to 1.11
- removed obsolete multilib patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9d78bcd
- x32 rebuild
- release 2 (by relup.sh)

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 440cb63
- updated to 1.10
- updated info patch

* Tue Jul 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 5ffc9c0
- updated to 1.9

* Thu Apr 25 2013 Kacper Kornet <draenog@pld-linux.org> 82ad1ef
- updated to 1.8
- add missing BR for help2man

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> dabe699
- updated to 1.7

* Wed Jan 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 762eae5
- updated to 1.6
- updated multilib patch

